# Generated by Django 5.0.2 on 2024-02-20 07:43

import django.db.models.deletion
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AnalyticsDevice',
            fields=[
                ('session_key', models.CharField(max_length=40, primary_key=True, serialize=False, verbose_name='session key')),
                ('session_data', models.TextField(verbose_name='session data')),
                ('expire_date', models.DateTimeField(db_index=True, verbose_name='expire date')),
                ('fingerprint', models.CharField(blank=True, db_index=True, max_length=32, null=True, unique=True)),
                ('device_type', models.CharField(choices=[('pc', 'PC'), ('mobile', 'Mobile'), ('tablet', 'Tablet'), ('bot', 'Bot'), ('unknown', 'Unknown')], default='unknown', max_length=10)),
                ('device', models.CharField(blank=True, max_length=30)),
                ('browser', models.CharField(blank=True, max_length=30)),
                ('browser_version', models.CharField(blank=True, max_length=30)),
                ('system', models.CharField(blank=True, max_length=30)),
                ('system_version', models.CharField(blank=True, max_length=30)),
            ],
            options={
                'verbose_name': 'device',
                'verbose_name_plural': 'devices',
            },
        ),
        migrations.CreateModel(
            name='AnalyticsSession',
            fields=[
                ('session_key', models.CharField(max_length=40, primary_key=True, serialize=False, verbose_name='session key')),
                ('session_data', models.TextField(verbose_name='session data')),
                ('expire_date', models.DateTimeField(db_index=True, verbose_name='expire date')),
                ('device', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='sessions', to='ws_analytics.analyticsdevice')),
            ],
            options={
                'verbose_name': 'session',
                'verbose_name_plural': 'sessions',
                'ordering': ('-expire_date',),
            },
        ),
        migrations.CreateModel(
            name='AnalyticsRequest',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('request_id', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('method', models.CharField(editable=False, max_length=10)),
                ('path', models.CharField(editable=False, max_length=1000)),
                ('http_referer', models.URLField(editable=False)),
                ('query_params', models.JSONField(editable=False)),
                ('status_code', models.PositiveSmallIntegerField(editable=False)),
                ('execution_time', models.FloatField(editable=False)),
                ('location', models.JSONField(blank=True, editable=False, null=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('session', models.ForeignKey(blank=True, editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, to='ws_analytics.analyticssession')),
            ],
            options={
                'verbose_name': 'request',
                'verbose_name_plural': 'requests',
            },
        ),
    ]
